For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
      • Storefront
          • Authentication
          • Catalog
          • Company
          • Orders
            • GETList Orders
            • POSTCreate Order
            • GETList Order Images
            • GETList Order Products
            • GETGet Order Details
            • GETList Ordered Products
          • Request for Quote
          • Sales Rep
          • Shopping List
          • Store Settings
      • Management
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTB2BStorefrontOrders

Create Order

POST
https://api-b2b.bigcommerce.com/api/v2/orders
POST
/api/v2/orders
$curl -X POST https://api-b2b.bigcommerce.com/api/v2/orders \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "orderId": 123
>}'
1{
2 "code": 1,
3 "message": "SUCCESS",
4 "data": [
5 {
6 "orderId": 123
7 }
8 ]
9}
Generates an order record in B2B Edition after a Company user places an order. This occurs automatically; however, you can populate extra information on a B2B order by using a [webhook](/developer/docs/integrations/webhooks) that first listens for BigCommerce order creation and then calls the Create an Order endpoint. The request must be made within 10 seconds of an order's creation for it to be successful. Note that this **does not** create a new order in your store. Use the [Orders V2 API](/developer/api-reference/rest/admin/management/orders) to add new orders via the API. Equivalent Storefront GraphQL API Mutation: `createOrder`. For more information, see the [GraphQL Playground](https://api-b2b.bigcommerce.com/graphql/playground).
Was this page helpful?
Previous

List Orders

Next

List Order Images

Built with

Generates an order record in B2B Edition after a Company user places an order.

This occurs automatically; however, you can populate extra information on a B2B order by using a webhook that first listens for BigCommerce order creation and then calls the Create an Order endpoint. The request must be made within 10 seconds of an order’s creation for it to be successful.

Note that this does not create a new order in your store. Use the Orders V2 API to add new orders via the API.

Equivalent Storefront GraphQL API Mutation: createOrder. For more information, see the GraphQL Playground.

Authentication

AuthorizationBearer

Authentication header

HeaderArgumentDescription
AuthorizationBearer {{B2B_JWT_TOKEN}}You can obtain this token using the steps described in the REST Storefront API section[…]

Request

This endpoint expects an object.
orderIdintegerRequired
The BigCommerce order ID.
poNumberstringOptional

The order’s Purchase Order (PO), if used.

isSaveOrderCommentstringOptionalDefaults to 0

Indicates whether the order comment is saved, if one exists.

0 indicates that the order comment is saved, while 1 indicates that it is not saved.

extraFieldsobjectOptional

Response

OK
codeinteger
HTTP Response Code
messagestringDefaults to SUCCESS
Response message
datalist of objects

Errors

400
Bad Request Error